Search Unity

Module Installation Failed for Unity 2017.4.17f1

Discussion in 'Unity Hub' started by TheDevKiller, Dec 28, 2018.

  1. TheDevKiller

    TheDevKiller

    Joined:
    Dec 28, 2018
    Posts:
    1
    Hey !

    I have this error when I try to install a module with Unity Hub.
    I know you're working on a solution without 7zip and I have read I must install `p7zip-full` but I don't have this package in my repos.

    I have only the `p7zip` package which is installed on my computer.
    I don't have the full package because I'm on Manjaro which is based on Arch, not Debian.

    Do you know if there is a temporary solution ?
     

    Attached Files:

  2. afshinity

    afshinity

    Unity Technologies

    Joined:
    Jul 31, 2017
    Posts:
    261
    Hey there,

    At the moment, we don't have any workaround, but we are working a solution to either bundle the 7zip dependency to the hub installation, or use another library for extracting the pkg components.

    Stay tuned with the hub updates.
    Sorry for the inconvenience.